Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Interface PreUpdateEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BeanValidationEventListener, JACCPreUpdateEventListener

    public interface PreUpdateEventListener

extends Serializable

Called before updating the datastore

Method Summary
`boolean` | `onPreUpdate(PreUpdateEvent event)` Return true if the operation should be vetoed

Method Detail

### onPreUpdate

    boolean onPreUpdate(PreUpdateEvent event)

  Return true if the operation should be vetoed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.